<?php
/* Do not access this file directly */
defined('ABSPATH') or die('');

if ( ! class_exists( 'CFSWP_Helper' ) ) {
	
	class CFSWP_Helper {
		
		public static function getCatIdBySlug($slug) {
			$cat = get_term_by( 'slug', $slug, 'category' );
			if ( $cat ) {
				return $cat->term_id;
			}
			return 0;
		}

		public static function getTagsByCategory($category) {
			$tags = array();
			$myposts = get_posts( array('category' => $category->term_id));
			foreach ($myposts as $p) {
				$posttags = get_the_tags($p->ID);
				if ($posttags) {
					foreach($posttags as $tag) {
						if (!isset($tags[$tag->slug])) {
							$tags[$tag->name] = $tag;
						}
					}
				}
			}
			ksort($tags);
			return $tags;
		}
		
	}
}