<?php
/* Do not access this file directly */
defined('ABSPATH') or die('');


/**
 * Init plugins intro text.
 */
$this->intro = 'This plugin offers a set of customizable features often used in WordPress: Grids, Filters, Carousels and more. 
Please check out the full <a href="https://cpki.de/pub/cfswp/" target="_blank">feature list and documentation</a>.';

/**
 * Init feature definition, fields and descriptions.
 */

$this->features = array(
		
	'redirect' => array(
		'title' => 'Redirect',
		'fields' => array(
			'redirect_archives' => array(
				'type' => 'checkbox',
				'title' => 'Redirect archive pages',
				'description' => 'Redirect Wordpress archive pages to home page.',
				'attributes' => 'data-enable="redirect_archives_except"',
			),
			'redirect_archives_except' => array(
				'type' => 'input',
				'title' => 'Enable certain archive pages ',
				'description' => 'Enable archive pages for certain category slugs, separated by space.',
			),
			'redirect_singles' => array(
				'type' => 'checkbox',
				'title' => 'Redirect single pages',
				'description' => 'Redirect Wordpress single pages to home page.',
				'attributes' => 'data-enable="redirect_singles_except"',
			),
			'redirect_singles_except' => array(
				'type' => 'input',
				'title' => 'Enable certain single pages',
				'description' => 'Enable single pages for certain category slugs or post types, separated by space.',
			),
		),
		'description' =>'Disable Wordpress standard pages for single posts and category archives by redirecting them to the home page. Specific exceptions can be given for both.',
	),
	
	'template' => array(
		'title' => 'Custom Template',
	),
	
	'textsearch' => array(
		'title' => 'TextSearch',
	),
		
	'grid' => array(
		'title' => 'Grid',
	),
	
	'gallery' => array(
		'title' => 'Gallery',
		'fields' => array(
			'save_gallery_to_thumbnail' => array(
				'type' => 'checkbox',
				'title' => 'Save thumbnail',
				'description' => 'If thumbnail is empty, save first ACF gallery image as thumbnail.',
			),
		),
		'description' => 'The Advanced Custom Fields (ACF) plugin must be installed, and a custom field of type gallery defined.',
	),
	
	'lightbox' => array(
		'title' => 'Lightbox',
	),
	
	'carousel' => array(
		'title' => 'Carousel',
	),
	
	'activate' => array(
		'title' => 'Activate',
	),
	
	'toggle' => array(
		'title' => 'Toggle',
	),
	
	'contact' => array(
		'title' => 'Contact Flag',
	),
	
	'parallax' => array(
		'title' => 'Parallax',
	),
		
	'temp_allow_unfiltered_uplaods' => array(
		'title' => 'Temporarily allow unfiltered uploads',
		'fields' => array(
			'allow_unfiltered_uploads' => array(
				'type' => 'checkbox',
				'title' => 'Allow unfiltered uploads now',
			),
			'allow_unfiltered_uploads_date' => array(
				'type' => 'input',
				'title' => 'Currently allowed since',
				'attributes' => 'readonly',
			),
		),
		'description' => 'For uploading SVGs or WebFonts into the WordPress media library, you must explicitly allow unfiltered uploads. Tick the checkbox to do so temporarily until the end of the next day.',
	),

);
			
