<?php defined( 'ABSPATH' ) OR die( 'This script cannot be accessed directly.' );

// get chosen category
$category = null;
if (!empty($args['category'])) {
	$category = get_category_by_slug($args['category']); 
}
?>
<?php
/* SEARCHTEXT **************************************************/
if (empty($args['hide_textsearch'])) :
	$value = !empty($args['text']) ? $args['text'] : '';
	$placeholder = __('Freie Textsuche', 'common-feature-set-wp');
?>
	<div class="searchfield">
		<input type="text" id="searchtext" value="<?php echo $value ?>" placeholder="<?php echo $placeholder; ?>"><i class="searchicon fas fa-search"></i>
	</div>
<?php
endif;

/* SEARCH CATEGORIES **************************************************/
if (!empty($args['show_catsearch'])) :
	
	$params = array(
		'hide_empty' => true,
		'orderby' => 'name',
		'order' => 'ASC',
	);
	if (!empty($category)) {
		$params['parent'] = $category->term_id;
	}
	else {
		//$params['parent'] = 0;
	}
	$cats = get_categories( $params );
?>
	<div class="cat-search">
		<?php if (!empty($args['show_toggleheaders'])) : ?>
		<h5 class="cfs-toggle active" data-target=".cat-search .searchlinks"><?php _e('Kategorien', 'common-feature-set-wp'); ?></h5>
		<?php endif; ?>
		<div class="searchlinks">
		<?php if (!empty($args['show_searchall'])) : ?>
			<a class="alle <?php echo empty($args['cat']) || $args['cat'] == $args['category'] ? 'active' : ''; ?>" data-target="cat" data-value=""><?php _e('Alle', 'common-feature-set-wp'); ?></a>
		<?php endif; ?>
		<?php foreach($cats as $cat): 
			$active = !empty($args['cat']) && $args['cat'] == $cat->slug ? ' class="active"' : '';
		?>
			<a <?php echo $active; ?> data-target="cat" data-value="<?php echo $cat->slug; ?>"><?php echo $cat->name
				  .(!empty($args['show_searchnumbers']) ? ' ('.$cat->count.')' : ''); ?></a>
		<?php endforeach; ?>
		</div>
	</div>
<?php
endif;
	
/* SEARCH TAGS **************************************************/
if (!empty($args['show_tagsearch'])) :
	
	if (!empty($category)) {
		$tags = CFSWP_Helper::getTagsByCategory($category);
	}
	else {
		$tags = get_tags(array('hide_empty' => true, 'orderby' => 'name'));
	}
?>
	<div class="tag-search">
		<?php if (!empty($args['show_toggleheaders'])) : ?>
		<h5 class="cfs-toggle active" data-target=".tag-search .searchlinks"><?php _e('Schlagworte', 'common-feature-set-wp'); ?></h5>
		<?php endif; ?>
		<div class="searchlinks">
		<?php if (!empty($args['show_searchall'])) : ?>
			<a <?php echo empty($args['tag']) ? 'class="active"' : ''; ?> data-target="tag" data-value=""><?php _e('Alle', 'common-feature-set-wp'); ?></a>
		<?php endif; ?>
		<?php foreach($tags as $tag): 
			$active = !empty($args['tag']) && $args['tag'] == $tag->slug ? ' class="active"' : '';
		?>
			<a <?php echo $active; ?> data-target="tag" data-value="<?php echo $tag->slug; ?>">#<?php echo $tag->name
				  .(!empty($args['show_searchnumbers']) ? ' ('.$tag->count.')' : ''); ?></a>
		<?php endforeach; ?>
		</div>
	</div>
<?php
endif;

/* SORT **************************************************/
if (!empty($args['show_sortlinks'])) :

	$sortations = array(
		'post_name' => __('A - Z', 'common-feature-set-wp'),
		'post_date' => __('Neueste', 'common-feature-set-wp'),
	);
?>
	<div class="sort-switch">
		<?php if (!empty($args['show_toggleheaders'])) : ?>
		<h5 class="cfs-toggle active" data-target=".sort-switch .sortlinks"><?php _e('Sortierung', 'common-feature-set-wp'); ?></h5>
		<?php endif; ?>
		<div class="sortlinks">
		<?php foreach($sortations as $name => $title): 
			$active = '';
			if ((!empty($args['sort']) && $args['sort'] == $name) || (empty($args['sort']) && $name == array_key_first($sortations))) {
				$active = ' class="active"';
			}
		?>
			<a data-target="sort" data-value="<?php echo $name; ?>"<?php echo $active; ?>><?php echo $title; ?></a>
		<?php endforeach; ?>
		</div>
	</div>
<?php
endif;

/* MODE **************************************************/
if (!empty($args['show_modelinks'])) :

	$modes = array(
		'future' => __('Future Events', 'common-feature-set-wp'),
		'past' => __('Past Events', 'common-feature-set-wp'),
	);
?>
	<div class="mode-switch">
		<?php if (!empty($args['show_toggleheaders'])) : ?>
		<h5 class="cfs-toggle active" data-target=".mode-switch .modelinks"><?php _e('Anzeigemodus', 'common-feature-set-wp'); ?></h5>
		<?php endif; ?>
		<div class="modelinks">
		<?php foreach($modes as $name => $title): 
			$active = '';
			if ((!empty($args['mode']) && $args['mode'] == $name) || (empty($args['mode']) && $name == array_key_first($modes))) {
				$active = ' class="active"';
			}
		?>
			<a data-target="mode" data-value="<?php echo $name; ?>"<?php echo $active; ?>><?php echo $title; ?></a>
		<?php endforeach; ?>
		</div>
	</div>
<?php
endif;
